Subject: Re: bug#30874: 27.0.50; Emacs crashes

From: Jan Synacek <[email-masked]>
Date: Thu, 22 Mar 2018 14:05:26 +0100

On Thu, Mar 22, 2018 at 2:01 PM, Eli Zaretskii <[email-masked]> wrote:
>> From: Jan Synacek <[email-masked]>
>> Date: Thu, 22 Mar 2018 13:28:56 +0100
>> Cc: [email-masked]
>>
>> > Can you run this in X synchronous mode, so that we see which operation
>> > triggers the original X error?  etc/DEBUG tells how to do that under
>> > "If you encounter X protocol errors".
>>
>> I tried the following but it doesn't work:
>>
>> gdb --args ./src/emacs -Q --eval='(setq x-command-line-resources
>> "emacs.synchronous: true")' --eval="(switch-to-buffer \"*scratch*\")"
>> --eval="(insert-char #x274c)" --eval="(set-fontset-font
>> \"fontset-default\" 'unicode \"Dejavu Sans Mono\")"
>> --eval="(debug-on-entry 'Fdelete_frame)"
>
> What about adding the -xrm "emacs.synchronous: true" switch to the
> Emacs invocation command -- does it also not work?

As far as I can tell, no. I still see the emacs frame remain open but
unresponsive and also see the same backtrace as before.

-- 
Jan Synacek
Software Engineer, Red Hat